Bug 250965 - net-im/py-matrix-synapse: Update to 1.23.0
Summary: net-im/py-matrix-synapse: Update to 1.23.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Danilo G. Baio
URL: https://github.com/matrix-org/synapse...
Keywords:
Depends on:
Blocks:
 
Reported: 2020-11-08 19:52 UTC by Sascha Biberhofer
Modified: 2020-12-13 12:58 UTC (History)
1 user (show)

See Also:


Attachments
net-im/py-matrix-synapse: patch to bump to 1.22.1 (989 bytes, patch)
2020-11-08 19:52 UTC, Sascha Biberhofer
ports: maintainer-approval+
Details | Diff
net-im/py-matrix-synapse: Update to 1.23.0 (2.10 KB, patch)
2020-11-25 20:17 UTC, Sascha Biberhofer
ports: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Biberhofer 2020-11-08 19:52:14 UTC
Created attachment 219472 [details]
net-im/py-matrix-synapse: patch to bump to 1.22.1

This patch updates net-im/py-matrix-synapse from 1.21.2 to 1.22.1. From a ports perspective, this update is a simple version bump with no further changes required. The synapse changelog is included in the PR's URL field.


portlint: "OK" (3 Warnings, none new)
testport: OK (poudriere: 121amd64)
do-test: OK (PASSED (skips=15, successes=1255), Ran 1270 tests in 527.784s)

I've also tested the resulting package on my own server and things seem to be running smoothly.

Cheers,
Sascha
Comment 1 Sascha Biberhofer 2020-11-25 20:17:59 UTC
Created attachment 219977 [details]
net-im/py-matrix-synapse: Update to 1.23.0

synapse has now reached 1.23.0. From a ports perspective, this is once again little more than a version bump, with a slight update of our dependency patch.

portlint: "OK" (3 Warnings, none new)
testport: OK (poudriere: 122amd64)
do-test: OK (PASSED (skips=15, successes=1317) Ran 1332 tests in 587.377s)

I'll update the PR's URL field to point to the new changelog.

The package has been running smoothly on my production instance as well.
Comment 2 commit-hook freebsd_committer 2020-11-26 00:17:12 UTC
A commit references this bug:

Author: dbaio
Date: Thu Nov 26 00:16:39 UTC 2020
New revision: 556310
URL: https://svnweb.freebsd.org/changeset/ports/556310

Log:
  net-im/py-matrix-synapse: Update to 1.23.0

  Changelog:	https://github.com/matrix-org/synapse/blob/v1.23.0/CHANGES.md

  PR:		250965
  Submitted by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)

Changes:
  head/net-im/py-matrix-synapse/Makefile
  head/net-im/py-matrix-synapse/distinfo
  head/net-im/py-matrix-synapse/files/patch-synapse_python__dependencies.py
Comment 3 Danilo G. Baio freebsd_committer 2020-11-26 00:18:00 UTC
committed, thanks for your work!
Comment 4 commit-hook freebsd_committer 2020-12-13 12:58:05 UTC
A commit references this bug:

Author: dbaio
Date: Sun Dec 13 12:57:47 UTC 2020
New revision: 557895
URL: https://svnweb.freebsd.org/changeset/ports/557895

Log:
  MFH: r556310 r557894

  net-im/py-matrix-synapse: Update to 1.23.0

  Changelog:	https://github.com/matrix-org/synapse/blob/v1.23.0/CHANGES.md

  PR:		250965
  Submitted by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)

  net-im/py-matrix-synapse: Update to 1.24.0, Fix security issue

  Changelog:	https://github.com/matrix-org/synapse/blob/v1.24.0/CHANGES.md

  PR:		251768
  Submitted by:	contact@evilham.com
  Approved by:	Sascha Biberhofer <ports@skyforge.at> (maintainer)
  Security:	cfa0be42-3cd7-11eb-9de7-641c67a117d8

Changes:
_U  branches/2020Q4/
  branches/2020Q4/net-im/py-matrix-synapse/Makefile
  branches/2020Q4/net-im/py-matrix-synapse/distinfo
  branches/2020Q4/net-im/py-matrix-synapse/files/patch-synapse_python__dependencies.py